org.eclipse.net4j.tcp

## Interface ITCPSelector

-     public interface ITCPSelector

  Encapsulates a Java `socket selector` and orchestrates a number of `active` and `passive` consumers, usually `connectors` and `acceptors` that compete for the socket selector's I/O time.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selector` | `getSocketSelector()`
    `void` | `orderConnectInterest(SelectionKey selectionKey, boolean client, boolean on)`
    `void` | `orderReadInterest(SelectionKey selectionKey, boolean client, boolean on)`
    `void` | `orderRegistration(ServerSocketChannel channel, ITCPPassiveSelectorListener listener)`
    `void` | `orderRegistration(SocketChannel channel, boolean client, ITCPActiveSelectorListener listener)`
    `void` | `orderWriteInterest(SelectionKey selectionKey, boolean client, boolean on)`

- - ### Method Detail

    - #### getSocketSelector

          Selector getSocketSelector()

    - #### orderRegistration

          void orderRegistration(ServerSocketChannel channel,
                                 ITCPPassiveSelectorListener listener)

    - #### orderRegistration

          void orderRegistration(SocketChannel channel,
                                 boolean client,
                                 ITCPActiveSelectorListener listener)

    - #### orderConnectInterest

          void orderConnectInterest(SelectionKey selectionKey,
                                    boolean client,
                                    boolean on)

    - #### orderReadInterest

          void orderReadInterest(SelectionKey selectionKey,
                                 boolean client,
                                 boolean on)

    - #### orderWriteInterest

          void orderWriteInterest(SelectionKey selectionKey,
                                  boolean client,
                                  boolean on)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html